## com.bbn.openmap.tools.symbology.milStd2525
Class SymbolChooser.SymbolTreeHolder

    java.lang.Object
      com.bbn.openmap.event.ListenerSupport
          com.bbn.openmap.tools.symbology.milStd2525.SymbolChooser.SymbolTreeHolder

All Implemented Interfaces:
  java.util.EventListener, java.io.Serializable, javax.swing.event.TreeSelectionListener

Enclosing class:
  SymbolChooser

public class SymbolChooser.SymbolTreeHolder
extends ListenerSupport
implements javax.swing.event.TreeSelectionListener

See Also:
  Serialized Form

Field Summary
`protected java.lang.Character[]` `optionChars`
`protected java.util.Hashtable` `optionMenuHashtable`
`protected javax.swing.JPanel` `optionPanel`
`protected CodeOptions` `options`
`protected boolean` `playWithTreeLineStyle`
`protected javax.swing.JTree` `tree`
`protected java.lang.String` `treeLineStyle`

Fields inherited from class com.bbn.openmap.event.ListenerSupport
`listeners, source`

Constructor Summary
`SymbolChooser.SymbolTreeHolder(SymbolPart schemeSymbolPart, CodeOptions opts)`

Method Summary
`protected void` `addNodes(javax.swing.tree.DefaultMutableTreeNode node, SymbolPart sp)`
`javax.swing.tree.DefaultMutableTreeNode` `getNodeForCode(java.lang.String code)`
`protected javax.swing.tree.DefaultMutableTreeNode` `getNodeForCodeStartingAt(javax.swing.tree.DefaultMutableTreeNode node, java.lang.String code)`
`javax.swing.JPanel` `getOptionPanel()`
`javax.swing.JTree` `getTree()`
`void` `handleNodeSelection(javax.swing.tree.DefaultMutableTreeNode node)`
`void` `setPositionSetting(CodePosition cp)`
`java.lang.String` `toString()`
`void` `updateInterfaceToLastSelectedNode()`
`void` `updateOptionChars(CodePosition cp)`
`protected void` `updateOptionsForCode(java.lang.String text)` Given an text string, have the options available to the current SymbolTreeHolder reflect those updates.
`java.lang.String` `updateStringWithCurrentOptionChars(java.lang.String currentSymbolCode)`
`void` `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class com.bbn.openmap.event.ListenerSupport
`addListener, getListeners, getSource, iterator, readObject, removeAll, removeListener, setSource, size, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### playWithTreeLineStyle

    protected boolean playWithTreeLineStyle

### treeLineStyle

    protected java.lang.String treeLineStyle

### tree

    protected javax.swing.JTree tree

### optionPanel

    protected javax.swing.JPanel optionPanel

### options

    protected CodeOptions options

### optionChars

    protected java.lang.Character[] optionChars

### optionMenuHashtable

    protected java.util.Hashtable optionMenuHashtable

Constructor Detail

### SymbolChooser.SymbolTreeHolder

    public SymbolChooser.SymbolTreeHolder(SymbolPart schemeSymbolPart,
                                          CodeOptions opts)

Method Detail

### getTree

    public javax.swing.JTree getTree()

### addNodes

    protected void addNodes(javax.swing.tree.DefaultMutableTreeNode node,
                            SymbolPart sp)

### getNodeForCode

    public javax.swing.tree.DefaultMutableTreeNode getNodeForCode(java.lang.String code)

### getNodeForCodeStartingAt

    protected javax.swing.tree.DefaultMutableTreeNode getNodeForCodeStartingAt(javax.swing.tree.DefaultMutableTreeNode node,
                                                                               java.lang.String code)

### updateOptionsForCode

    protected void updateOptionsForCode(java.lang.String text)

  Given an text string, have the options available to the current SymbolTreeHolder reflect those updates.

  Parameters:
    `text` -

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### updateInterfaceToLastSelectedNode

    public void updateInterfaceToLastSelectedNode()

### handleNodeSelection

    public void handleNodeSelection(javax.swing.tree.DefaultMutableTreeNode node)

### getOptionPanel

    public javax.swing.JPanel getOptionPanel()

### setPositionSetting

    public void setPositionSetting(CodePosition cp)

### updateOptionChars

    public void updateOptionChars(CodePosition cp)

### updateStringWithCurrentOptionChars

    public java.lang.String updateStringWithCurrentOptionChars(java.lang.String currentSymbolCode)

### toString

    public java.lang.String toString()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details